# Method: buyers.proposals.list

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/list#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/list#body.response_body)
  - [JSON representation](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/list#body.ListProposalsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/list#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals/list#try-it)

Lists proposals. A filter expression using [Cloud API list filtering syntax](https://developers.google.com/authorized-buyers/apis/guides/list-filters) may be specified to filter the results.

### HTTP request

`GET https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{parent=buyers/*}/proposals`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent that owns the collection of proposals Format: `buyers/{accountId}` |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` Optional query string using the [Cloud API list filtering syntax](https://developers.google.com/authorized-buyers/apis/guides/list-filters) Supported columns for filtering are: - displayName - dealType - updateTime - state |
| `pageSize` | `integer` Requested page size. The server may return fewer results than requested. If unspecified, the server will put a size of 500. |
| `pageToken` | `string` The page token as returned from ListProposalsResponse. |

### Request body

The request body must be empty.

### Response body

Response message for listing proposals.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "proposals": [ { object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals#Proposal`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `proposals[]` | ``object (`https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1alpha/buyers.proposals#Proposal`)`` The list of proposals. |
| `nextPageToken` | `string` Continuation token for fetching the next page of results. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`